Package com.ngrok.definitions

# Class Page<T extends Pageable>

java.lang.Object
com.ngrok.definitions.Page<T>

public class Page<T extends Pageable> extends Object
Wrapper class that holds a single page of a `Pageable` response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Page(NgrokApiClient apiClient, T page)`
  Create a new page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getPage()`
  Returns the current response page.
  `CompletionStage<Optional<Page<T>>>`
  `next()`
  Fetches the next page of responses, if any.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Page

    public Page(NgrokApiClient apiClient, T page)
    Create a new page.
    Parameters:
      `apiClient` - the API client used to fetch the page
      `page` - the page itself

- ## Method Details

  - ### getPage

    public T getPage()
    Returns the current response page.
    Returns:
      a page

  - ### next

    public CompletionStage<Optional<Page<T>>> next()
    Fetches the next page of responses, if any.
    Returns:
      a future encapsulating a possible next page